ServletContextAttributeEvent (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Class ServletContextAttributeEvent

    java.lang.Object
      java.util.EventObject
          javax.servlet.ServletContextEvent
              javax.servlet.ServletContextAttributeEvent

    @TransactionType(value=NOT_SUPPORTED)
    public class ServletContextAttributeEvent

extends ServletContextEvent

This is the event class for notifications about changes to the attributes of the servlet context of a web application.

Since:
  Servlet 2.3, Java Card 3.0
See Also:
  `ServletContextAttributeListener`

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ServletContextAttributeEvent(ServletContext source, String name, Object value)` Construct a ServletContextAttributeEvent from the given context for the given attribute name and attribute value.

Method Summary
`String` | `getName()` Return the name of the attribute that changed on the ServletContext.
`Object` | `getValue()` Returns the value of the attribute that has been added, removed, or replaced.

Methods inherited from class javax.servlet.ServletContextEvent
`getServletContext`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletContextAttributeEvent

    public ServletContextAttributeEvent(ServletContext source,
                                        String name,
                                        Object value)

  Construct a ServletContextAttributeEvent from the given context for the given attribute name and attribute value.

Method Detail

### getName

    public String getName()

  Return the name of the attribute that changed on the ServletContext.

### getValue

    public Object getValue()

  Returns the value of the attribute that has been added, removed, or replaced. If the attribute was added, this is the value of the attribute. If the attribute was removed, this is the value of the removed attribute. If the attribute was replaced, this is the old value of the attribute.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.